# Function parseArrayLikeToDetails

- parseArrayLikeToDetails(content, cid, onProgress?): Promise<{
  cid: string;
  content?: string;
  gateway: boolean;
  link?: string;
  text?: string;
  type?: IpfsContentType;
  }>

- #### Parameters

  - content: IPFSContent
  - cid: string
  - `Optional` onProgress: onProgressCallback

  #### Returns Promise<{
  cid: string;
  content?: string;
  gateway: boolean;
  link?: string;
  text?: string;
  type?: IpfsContentType;
  }>

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/utils/content.ts:57